libzypp: zypp::sat::WhatProvides::Impl Class Reference

libzypp 17.38.14

zypp::sat::WhatProvides::Impl Class Reference

WhatProvides implementation date. More...

Inheritance diagram for zypp::sat::WhatProvides::Impl:

## Public Member Functions
| Impl ()
| Impl (unsigned offset_r)
| Impl (const std::unordered_set< detail::IdType > &ids_r)

## Public Attributes
unsigned | _offset
const detail::IdType * | _private

## Private Attributes
std::vector< sat::detail::IdType > | _pdata

## Additional Inherited Members
Static Protected Member Functions inherited from zypp::sat::detail::PoolMember
static PoolImpl & | myPool ()
static bool | poolValid ()

## Detailed Description

WhatProvides implementation date.

Stores the offset into a O terminated Id array. Per default libsolvs whatprovidesdata, otherwise private data.

As libsolvs whatprovidesdata might be realocated while iterating a result, the iterator takes an const IdType const. Thats why we explicitly provide _private and pass its adress to the iterator, even if private data are not reallocated.

Definition at line 41 of file WhatProvides.cc.

## Constructor & Destructor Documentation

## ◆ Impl() [1/3]

zypp::sat::WhatProvides::Impl::Impl | ( |  | ) |
| inline

Definition at line 44 of file WhatProvides.cc.

## ◆ Impl() [2/3]

zypp::sat::WhatProvides::Impl::Impl | ( | unsigned | offset_r | ) |
| inline

Definition at line 48 of file WhatProvides.cc.

## ◆ Impl() [3/3]

zypp::sat::WhatProvides::Impl::Impl | ( | const std::unordered_set< detail::IdType > & | ids_r | ) |
| inline

Definition at line 52 of file WhatProvides.cc.

## Member Data Documentation

## ◆ _offset

unsigned zypp::sat::WhatProvides::Impl::_offset

Definition at line 64 of file WhatProvides.cc.

## ◆ _private

const detail::IdType* zypp::sat::WhatProvides::Impl::_private

Definition at line 65 of file WhatProvides.cc.

## ◆ _pdata

std::vector<sat::detail::IdType> zypp::sat::WhatProvides::Impl::_pdata
| private

Definition at line 68 of file WhatProvides.cc.

The documentation for this class was generated from the following file:

- zypp/sat/WhatProvides.cc